# TdApi.LabeledPricePart (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: LabeledPricePart

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.LabeledPricePart

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.LabeledPricePart

Enclosing class:
  TdApi

public static final class TdApi.LabeledPricePart extends TdApi.Object
Portion of the price of a product (e.g., "delivery cost", "tax amount").

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`amount`
Currency amount in the smallest units of the currency.
`static final int`
`CONSTRUCTOR`
`String`
`label`
Label for this portion of the product price.

## Constructor Summary

Constructors
Constructor
Description
`LabeledPricePart()`
Portion of the price of a product (e.g., "delivery cost", "tax amount").
`LabeledPricePart(DataInput input)`
Portion of the price of a product (e.g., "delivery cost", "tax amount").
`LabeledPricePart(String label, long amount)`
Portion of the price of a product (e.g., "delivery cost", "tax amount").

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### label

public String label
Label for this portion of the product price.

### amount

public long amount
Currency amount in the smallest units of the currency.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### LabeledPricePart

public LabeledPricePart()
Portion of the price of a product (e.g., "delivery cost", "tax amount").

### LabeledPricePart

public LabeledPricePart(String label, long amount)
Portion of the price of a product (e.g., "delivery cost", "tax amount").

Parameters:
  `label` - String Label for this portion of the product price.
  `amount` - long Currency amount in the smallest units of the currency.

### LabeledPricePart

public LabeledPricePart(DataInput input) throws IOException
Portion of the price of a product (e.g., "delivery cost", "tax amount").

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`